Package ru.bitel.bgbilling.kernel.event.events

# Class OnContractWrapEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.OnContractWrapEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class OnContractWrapEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

Синхронное событие - договор переоформлен.
Событие вызывается после переоформления договора.
Унаследован от `LocalEvent`

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `OnContractWrapEvent()` |
  `` | `OnContractWrapEvent​(int oldCid, int newCid, java.util.Date wrapDate)` | Конструктор события. Создается с кодом сервера.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getNewContractId()` | Возвращает новый код договора (переоформленный).
  `int` | `getNewContractID()` | Deprecated.
  `java.util.Date` | `getWrapDate()` | Возвращает дату переформления договора

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OnContractWrapEvent

    protected OnContractWrapEvent()

  - ### OnContractWrapEvent

    public OnContractWrapEvent​(int oldCid, int newCid, java.util.Date wrapDate)
    Конструктор события.
    Создается с кодом сервера.
    Parameters:
      `oldCid` - id старого договора
      `newCid` - id нового договора
      `startList` - "начальный" список карточек договора, полученный из конфига

- ## Method Details

  - ### getNewContractId

    public int getNewContractId()
    Возвращает новый код договора (переоформленный).
    Returns:
      newCid - новый код договора

  - ### getNewContractID

    @Deprecated public int getNewContractID()
    Deprecated.
    Использовать `getNewContractId()`.
    Returns:

  - ### getWrapDate

    public java.util.Date getWrapDate()
    Возвращает дату переформления договора
    Returns:
      wrapDate - дата переформления